Functions
Functions
Peripheral Driver » LL Driver » AON_PMU
Collaboration diagram for Functions:

## Functions
__STATIC_INLINE void | ll_aon_pmu_enable_rtc (void)
| Enable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_enable_rtc_cgm (void)
| Enable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rtc (void)
| Disable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_gm (uint32_t value)
| Set RTC GM. More...
__STATIC_INLINE void | ll_aon_pmu_set_io_ldo_vout (uint32_t value)
| Set lv,default is set to 1.8V,LSB = 8.5mv. More...
__STATIC_INLINE void | ll_aon_pmu_set_retention_level (uint32_t value)
| Set retention level. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_retention_level (void)
| Get retention level. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_ton (uint32_t value)
| Set dcdc the ton value. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dcdc_ton (void)
| Get dcdc the ton value. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_vreg (uint32_t value)
| Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dcdc_vreg (void)
| Get dcdc vreg. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcore_sel (uint8_t sel)
| Set dcdc reg_sel_aon_pmu_dcore_vref, default from AON. More...
__STATIC_INLINE void | ll_aon_pmu_enable_io_ldo_bypass (void)
| Enable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_io_ldo_bypass (void)
| Disable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_enable_bleed (void)
| Enable the dig ldo bleed. More...
__STATIC_INLINE void | ll_aon_pmu_disable_bleed (void)
| Disable the dig ldo bleed. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_out (uint32_t value)
| Set dig ldo out. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_out (void)
| Get dig ldo out value. More...
__STATIC_INLINE void | ll_aon_pmu_enable_dig_ldo_bypass (void)
| Enable the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_dig_ldo_bypass (void)
| Disable the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_bypass (bool enable)
| Set the dig ldo bypass. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_bypass (void)
| Get the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_set_clk_period (uint32_t value)
| Set clk period. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_clk_period (void)
| Get clk period. More...
__STATIC_INLINE void | ll_aon_pmu_enable_clk_inject (void)
| Enables clock injection from XO to ring oscillator. More...
__STATIC_INLINE void | ll_aon_pmu_disable_clk_inject (void)
| Disables clock injection from XO to ring oscillator. More...
__STATIC_INLINE void | ll_aon_pmu_enable_ton_startup_overide (void)
| Enable the dcdc ton startup. More...
__STATIC_INLINE void | ll_aon_pmu_enable_clk_det_ovr (void)
| Enable clock detection override. More...
__STATIC_INLINE void | ll_aon_pmu_disable_clk_det_ovr (void)
| Disable clock detection override. More...
__STATIC_INLINE void | ll_aon_pmu_enable_clk_det_ovr_src_xo (void)
| Enable clock detection override source as XO. More...
__STATIC_INLINE void | ll_aon_pmu_disable_clk_det_ovr_src_xo (void)
| Disable clock detection override source XO -— means set as RING. More...
__STATIC_INLINE void | ll_aon_pmu_set_clk_det_ovr_src (uint32_t value)
| Set clock detection override source. More...
__STATIC_INLINE void | ll_aon_pmu_enable_use_xo (void)
| Enable use_xo. More...
__STATIC_INLINE void | ll_aon_pmu_disable_use_xo (void)
| Disable use_xo. More...
__STATIC_INLINE void | ll_aon_pmu_enable_dig_io_ldo (void)
| Enable the digital io ldo. More...
__STATIC_INLINE void | ll_aon_pmu_disable_tristate_ldo (void)
| Disable the tristate ldo. More...
__STATIC_INLINE void | ll_aon_pmu_enable_tristate_ana_io_ldo (void)
| Disable the tristate analog ldo. More...
__STATIC_INLINE void | ll_aon_pmu_set_ldo_control_override (void)
| Set ldo control_override. More...
__STATIC_INLINE void | ll_aon_pmu_set_boost_step (uint32_t value)
| Set boost step. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_div (uint32_t value)
| Set digital io ldo divider. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cs (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_enable_pad_sw (void)
| Set the rtc on MSIO A6/7 en pad sw. More...
__STATIC_INLINE void | ll_aon_pmu_set_clk_det_opt (uint32_t value)
| Set clock detection option. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cap (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_rtc_cap (void)
| Get the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_enable_rcosc (void)
| Enable the RCOSC. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rcosc (void)
| Disable the RCOSC. More...
__STATIC_INLINE void | ll_aon_pmu_enable_ret_ldo (void)
| enable the ret ldo More...
__STATIC_INLINE void | ll_aon_pmu_set_ret_ldo_ctrl_lvl (uint32_t value)
| modify ret ldo ctrl level More...
__STATIC_FORCEINLINE void | ll_aon_pmu_set_lpd_active (uint32_t value)
| modify lpd active More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_lpd_active (void)
| Get lpd active value. More...
__STATIC_INLINE void | ll_aon_pmu_set_lpd_sleep (uint32_t value)
| modify lpd sleep More...
__STATIC_INLINE void | ll_aon_pmu_set_tx_ton_val (uint32_t value)
| modify ton on More...
__STATIC_INLINE void | ll_aon_pmu_set_non_tx_ton_val (uint32_t value)
| modify ton off More...
__STATIC_INLINE void | ll_aon_pmu_set_rng_req (uint32_t value)
| set rng freq More...
__STATIC_INLINE void | ll_aon_pmu_set_rng_freq_bump_enable (void)
| set rng freq More...
__STATIC_FORCEINLINE void | ll_aon_pmu_enable_short_aon_digcore (void)
| Enable short aon digcore. More...
__STATIC_FORCEINLINE void | ll_aon_pmu_disable_short_aon_digcore (void)
| Disable short aon digcore. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_pmu_disable_bleed()

__STATIC_INLINE void ll_aon_pmu_disable_bleed | ( | void |  | ) |

Disable the dig ldo bleed.

Register | BitsName
--- | ---
RF_REG_4 | EN

Definition at line 293 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_clk_det_ovr()

__STATIC_INLINE void ll_aon_pmu_disable_clk_det_ovr | ( | void |  | ) |

Disable clock detection override.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DET_OVR

Return values

  None |

Definition at line 480 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_clk_det_ovr_src_xo()

__STATIC_INLINE void ll_aon_pmu_disable_clk_det_ovr_src_xo | ( | void |  | ) |

Disable clock detection override source XO -— means set as RING.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DET_OVR_SRC

Return values

  None |

Definition at line 511 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_clk_inject()

__STATIC_INLINE void ll_aon_pmu_disable_clk_inject | ( | void |  | ) |

Disables clock injection from XO to ring oscillator.

Register | BitsName
--- | ---
RF_REG_1 | EN_INJ_ON

Return values

  None |

Definition at line 437 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_disable_dig_ldo_bypass | ( | void |  | ) |

Disable the dig ldo bypass.

Register | BitsName
--- | ---
RF_REG_4 | BYPASS_EN

Definition at line 348 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_disable_io_ldo_bypass | ( | void |  | ) |

Disable the io ldo bypass.

Register | BitsName
--- | ---
RF_REG_3 | BYPASS_EN

Definition at line 266 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rcosc()

__STATIC_INLINE void ll_aon_pmu_disable_rcosc | ( | void |  | ) |

Disable the RCOSC.

Register | BitsName
--- | ---
RC_RTC_REG_0 | RCOSC

Definition at line 752 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rtc()

__STATIC_INLINE void ll_aon_pmu_disable_rtc | ( | void |  | ) |

Disable the RTC.

Register | BitsName
--- | ---
RF_REG_0 | RTC_EN

Definition at line 104 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_short_aon_digcore()

__STATIC_FORCEINLINE void ll_aon_pmu_disable_short_aon_digcore | ( | void |  | ) |

Disable short aon digcore.

Register | BitsName
--- | ---
RF_REG2 | SHORT_AON_DIGCORE

Return values

  None |

Definition at line 896 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_tristate_ldo()

__STATIC_INLINE void ll_aon_pmu_disable_tristate_ldo | ( | void |  | ) |

Disable the tristate ldo.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | TRISTATE_LD

Return values

  None |

Definition at line 589 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_use_xo()

__STATIC_INLINE void ll_aon_pmu_disable_use_xo | ( | void |  | ) |

Disable use_xo.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | USE_XO

Return values

  None |

Definition at line 558 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_bleed()

__STATIC_INLINE void ll_aon_pmu_enable_bleed | ( | void |  | ) |

Enable the dig ldo bleed.

Register | BitsName
--- | ---
RF_REG_4 | EN

Definition at line 280 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_clk_det_ovr()

__STATIC_INLINE void ll_aon_pmu_enable_clk_det_ovr | ( | void |  | ) |

Enable clock detection override.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DET_OVR

Return values

  None |

Definition at line 465 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_clk_det_ovr_src_xo()

__STATIC_INLINE void ll_aon_pmu_enable_clk_det_ovr_src_xo | ( | void |  | ) |

Enable clock detection override source as XO.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DET_OVR_SRC

Return values

  None |

Definition at line 496 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_clk_inject()

__STATIC_INLINE void ll_aon_pmu_enable_clk_inject | ( | void |  | ) |

Enables clock injection from XO to ring oscillator.

Register | BitsName
--- | ---
RF_REG_1 | EN_INJ_ON

Return values

  None |

Definition at line 422 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_dig_io_ldo()

__STATIC_INLINE void ll_aon_pmu_enable_dig_io_ldo | ( | void |  | ) |

Enable the digital io ldo.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | EN_DIG_IO_LDO

Return values

  None |

Definition at line 574 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_enable_dig_ldo_bypass | ( | void |  | ) |

Enable the dig ldo bypass.

Register | BitsName
--- | ---
RF_REG_4 | BYPASS_EN

Definition at line 335 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_enable_io_ldo_bypass | ( | void |  | ) |

Enable the io ldo bypass.

Register | BitsName
--- | ---
RF_REG_3 | BYPASS_EN

Definition at line 253 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_pad_sw()

__STATIC_INLINE void ll_aon_pmu_enable_pad_sw | ( | void |  | ) |

Set the rtc on MSIO A6/7 en pad sw.

Register | BitsName
--- | ---
RC_RTC_REG_0 | EN_PAD_SW

Definition at line 679 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rcosc()

__STATIC_INLINE void ll_aon_pmu_enable_rcosc | ( | void |  | ) |

Enable the RCOSC.

Register | BitsName
--- | ---
RC_RTC_REG_0 | RCOSC

Definition at line 739 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_ret_ldo()

__STATIC_INLINE void ll_aon_pmu_enable_ret_ldo | ( | void |  | ) |

enable the ret ldo

Register | BitsName
--- | ---
RET_LDO_REG | RET_LDO_EN

Definition at line 765 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rtc()

__STATIC_INLINE void ll_aon_pmu_enable_rtc | ( | void |  | ) |

Enable the RTC.

Register | BitsName
--- | ---
RF_REG_0 | RTC_EN

Return values

  None |

Definition at line 75 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rtc_cgm()

__STATIC_INLINE void ll_aon_pmu_enable_rtc_cgm | ( | void |  | ) |

Enable the RTC.

Register | BitsName
--- | ---
RF_REG_0 | RTC_EN

| CGM_MODE

Return values

  None |

Definition at line 90 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_short_aon_digcore()

__STATIC_FORCEINLINE void ll_aon_pmu_enable_short_aon_digcore | ( | void |  | ) |

Enable short aon digcore.

Register | BitsName
--- | ---
RF_REG2 | SHORT_AON_DIGCORE

Return values

  None |

Definition at line 881 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_ton_startup_overide()

__STATIC_INLINE void ll_aon_pmu_enable_ton_startup_overide | ( | void |  | ) |

Enable the dcdc ton startup.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | TON_STARTUP

Definition at line 450 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_tristate_ana_io_ldo()

__STATIC_INLINE void ll_aon_pmu_enable_tristate_ana_io_ldo | ( | void |  | ) |

Disable the tristate analog ldo.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | TRISTATE_ANA_IO_LDO

Return values

  None |

Definition at line 604 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_use_xo()

__STATIC_INLINE void ll_aon_pmu_enable_use_xo | ( | void |  | ) |

Enable use_xo.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | USE_XO

Return values

  None |

Definition at line 543 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_clk_period()

__STATIC_INLINE uint32_t ll_aon_pmu_get_clk_period | ( | void |  | ) |

Get clk period.

Register | BitsName
--- | ---
RF_REG_4 | CLK_PERIOD

Return values

  The | clock period value.

Definition at line 407 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dcdc_ton()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dcdc_ton | ( | void |  | ) |

Get dcdc the ton value.

Register | BitsName
--- | ---
RF_REG_1 | TON

Return values

  The | dcdc ton value.

Definition at line 194 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dcdc_vreg()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dcdc_vreg | ( | void |  | ) |

Get dcdc vreg.

Register | BitsName
--- | ---
RF_REG_4 | AON_PMU_RF_REG_4_DCDC_VREF

Return values

  The | dcdc vreg value.

Definition at line 224 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_bypass()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_bypass | ( | void |  | ) |

Get the dig ldo bypass.

Register | BitsName
--- | ---
RF_REG_4 | BYPASS_EN

Return values

  The | dig ldo bypass enable value.

Definition at line 376 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_out()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_out | ( | void |  | ) |

Get dig ldo out value.

Register | BitsName
--- | ---
PMU_DCORE_VREF | DIG_LDO_OUT

Definition at line 322 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_lpd_active()

__STATIC_INLINE uint32_t ll_aon_pmu_get_lpd_active | ( | void |  | ) |

Get lpd active value.

Register | BitsName
--- | ---
PMU_LPD_CFG | LPD_VAON_ACTIVE

Return values

  The | current lpd active value.

Definition at line 806 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_retention_level()

__STATIC_INLINE uint32_t ll_aon_pmu_get_retention_level | ( | void |  | ) |

Get retention level.

Register | BitsName
--- | ---
RF_REG_0 | ctrl_ret

Return values

  The | current retention level.

Definition at line 164 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_rtc_cap()

__STATIC_INLINE uint32_t ll_aon_pmu_get_rtc_cap | ( | void |  | ) |

Get the rtc cur cap.

Register | BitsName
--- | ---
RC_RTC_REG_0 | RTC_CAP

Return values

  The | rtc current cap value.

Definition at line 726 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_boost_step()

__STATIC_INLINE void ll_aon_pmu_set_boost_step | ( | uint32_t | value | ) |

Set boost step.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | BOOST_STEP

Parameters

  value | The boost step value.

Return values

  None |

Definition at line 635 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_det_opt()

__STATIC_INLINE void ll_aon_pmu_set_clk_det_opt | ( | uint32_t | value | ) |

Set clock detection option.

Register | BitsName
--- | ---
RC_RTC_REG_0 | CLK_DET_OPT

Parameters

  value | clock detection option value, 0: use clk_det, 1: use glitch free MUX.

Return values

  None |

Definition at line 696 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_det_ovr_src()

__STATIC_INLINE void ll_aon_pmu_set_clk_det_ovr_src | ( | uint32_t | value | ) |

Set clock detection override source.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DET_OVR_SRC

Parameters

  value | the clock detection override source value.

Return values

  None |

Definition at line 527 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_period()

__STATIC_INLINE void ll_aon_pmu_set_clk_period | ( | uint32_t | value | ) |

Set clk period.

Register | BitsName
--- | ---
RF_REG_4 | CLK_PERIOD

Parameters

  value | The clock period value.

Return values

  None |

Definition at line 392 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_ton()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_ton | ( | uint32_t | value | ) |

Set dcdc the ton value.

Register | BitsName
--- | ---
RF_REG_1 | TON

Parameters

  value | The dcdc ton value.

Definition at line 179 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_vreg()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_vreg | ( | uint32_t | value | ) |

Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V.

Register | BitsName
--- | ---
RF_REG_4 | AON_PMU_RF_REG_4_DCDC_VREF

Parameters

  value | the dcdc vreg value.

Definition at line 209 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcore_sel()

__STATIC_INLINE void ll_aon_pmu_set_dcore_sel | ( | uint8_t | sel | ) |

Set dcdc reg_sel_aon_pmu_dcore_vref, default from AON.

Register | BitsName
--- | ---
PMU_DCORE_VREF | REG_SEL_AON_PMU_DCORE_VREF

Parameters

  sel | the dcore vref source control.

Definition at line 239 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_bypass | ( | bool | enable | ) |

Set the dig ldo bypass.

Register | BitsName
--- | ---
RF_REG_4 | BYPASS_EN

Definition at line 361 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_div()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_div | ( | uint32_t | value | ) |

Set digital io ldo divider.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | CLK_DIV_SEL

Parameters

  value | The dig ldo div value.

Return values

  None |

Definition at line 651 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_out()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_out | ( | uint32_t | value | ) |

Set dig ldo out.

Register | BitsName
--- | ---
PMU_DCORE_VREF | DIG_LDO_OUT

Parameters

  value | The dig ldo out value.

Definition at line 308 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_io_ldo_vout()

__STATIC_INLINE void ll_aon_pmu_set_io_ldo_vout | ( | uint32_t | value | ) |

Set lv,default is set to 1.8V,LSB = 8.5mv.

Register | BitsName
--- | ---
RF_REG_0 | EN

Parameters

  value | The io ldo vout value.

Definition at line 134 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_ldo_control_override()

__STATIC_INLINE void ll_aon_pmu_set_ldo_control_override | ( | void |  | ) |

Set ldo control_override.

Register | BitsName
--- | ---
DCDC_LDO_REG_0 | REG0_LDO_CTRL_OV

Return values

  None |

Definition at line 619 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_lpd_active()

__STATIC_FORCEINLINE void ll_aon_pmu_set_lpd_active | ( | uint32_t | value | ) |

modify lpd active

Register | BitsName
--- | ---
PMU_LPD_CFG | LPD_VAON_ACTIVE

Definition at line 791 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_lpd_sleep()

__STATIC_INLINE void ll_aon_pmu_set_lpd_sleep | ( | uint32_t | value | ) |

modify lpd sleep

Register | BitsName
--- | ---
PMU_LPD_CFG | LPD_VAON_SLEEP

Definition at line 819 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_non_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_non_tx_ton_val | ( | uint32_t | value | ) |

modify ton off

Register | BitsName
--- | ---
PMU_TON_CFG | AON_PMU_TON_CTRL_OFF

Definition at line 843 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_ret_ldo_ctrl_lvl()

__STATIC_INLINE void ll_aon_pmu_set_ret_ldo_ctrl_lvl | ( | uint32_t | value | ) |

modify ret ldo ctrl level

Register | BitsName
--- | ---
RET_LDO_REG | RET_LDO_CTRL_5_1

Definition at line 778 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_retention_level()

__STATIC_INLINE void ll_aon_pmu_set_retention_level | ( | uint32_t | value | ) |

Set retention level.

Register | BitsName
--- | ---
RF_REG_0 | ctrl_ret

Parameters

  value | The retention level value.

Definition at line 149 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rng_freq_bump_enable()

__STATIC_INLINE void ll_aon_pmu_set_rng_freq_bump_enable | ( | void |  | ) |

set rng freq

Register | BitsName
--- | ---
RF_REG0 | AON_PMU_RF_REG_0_RNG_FREQ_CONT

Definition at line 867 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rng_req()

__STATIC_INLINE void ll_aon_pmu_set_rng_req | ( | uint32_t | value | ) |

set rng freq

Register | BitsName
--- | ---
RF_REG0 | AON_PMU_RF_REG_0_RNG_FREQ_CONT

Definition at line 855 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cap()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cap | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register | BitsName
--- | ---
RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 711 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cs()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cs | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register | BitsName
--- | ---
RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 666 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_gm()

__STATIC_INLINE void ll_aon_pmu_set_rtc_gm | ( | uint32_t | value | ) |

Set RTC GM.

Register | BitsName
--- | ---
RF_REG_0 | EN

Parameters

  value | The rtc gm value.

Definition at line 119 of file gr55xx_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_tx_ton_val | ( | uint32_t | value | ) |

modify ton on

Register | BitsName
--- | ---
PMU_TON_CFG | AON_PMU_TON_CTRL_ON

Definition at line 831 of file gr55xx_ll_aon_pmu.h.